#### CRY

#### Synopsis

    HELP:   Read encrypted data (OpenPGP, ...)
    TYPE:   OBJECT
    SYNTAX: CRY(BUFSIZ=num,RECCNT=num)

#### Description

The CRYPTO converter can read encrypted data streams. The decryption method is detected automatically. All stream-based encryption procedures (OpenPGP, ...) are supported which are also available separately on the conversion level of XCNV. This component simply uses the dedicated decryption components and adds the auto detection. Please refer to the individual crypto components for more details.

       inp(sav.fil(fio.blk() cnv.bas() cnv.cry() cnv.zip()))

#### Arguments

- `NUMBER: BUFSIZ=num - Initial buffer size for preallocation[65536]`
- `NUMBER: RECCNT=num - Initial amount of records for preallocation [128]`